<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\ParcelShop;

final class CParcelShop2Desc
{
    /**
     * @var string
     */
    private $param;

    /**
     * @var string
     */
    private $value;

    public function getParam(): string
    {
        return $this->param;
    }

    public function withParam(string $param): CParcelShop2Desc
    {
        $new = clone $this;
        $new->param = $param;

        return $new;
    }

    public function getValue(): string
    {
        return $this->value;
    }

    public function withValue(string $value): CParcelShop2Desc
    {
        $new = clone $this;
        $new->value = $value;

        return $new;
    }
}
